#

Function FILE-STRING-LENGTH

Syntax:

file-string-length stream object => length

Arguments and Values:

stream---an output character file stream.

object---a string or a character.

length---a non-negative integer, or nil.

Description:

file-string-length returns the difference between what `(file-position` stream`)` would be after writing object and its current value, or nil if this cannot be determined.

The returned value corresponds to the current state of stream at the time of the call and might not be the same if it is called again when the state of the stream has changed.

Examples: None.

Affected By: None.

Exceptional Situations: None.

See Also: None.

Notes: None.

The following X3J13 cleanup issue, not part of the specification, applies to this section:

- CHARACTER-PROPOSAL:2-5-7

Copyright 1996-2005, LispWorks Ltd. All rights reserved.